package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Person;

/**
 * 用户数据部分
 * 
 * @author admin
 *
 */
public interface PersonDao {

	/**
	 * 插入
	 * 
	 * @param person
	 */
	public void insert(Person person);

	/**
	 * 更新
	 * 
	 * @param person
	 * @return
	 */
	public boolean update(Person person);

	/**
	 * 分页查询所有用户
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	public List<Person> findAll(int pageNo, int pageSize);

	/**
	 * 根据id获取用户信息
	 * 
	 * @param personId
	 * @return
	 */
	public Person findById(String personId);

	/**
	 * 根据用户名获取用户
	 * 
	 * @param username
	 * @return
	 */
	public Person findByUsername(String username);

	/**
	 * 删除用户信息
	 * 
	 * @param personId
	 * @return
	 */
	public boolean delete(List<String> personId);

	/**
	 * 分页获取用户
	 * 
	 * @param username
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	public List<Person> findAllByUsername(String username, int pageNo, int pageSize);

	/**
	 * 数据条数
	 * 
	 * @return
	 */
	public int findAllCount();

	/**
	 * 用户名包含该字段的条数
	 * 
	 * @param username
	 * @return
	 */
	public int findUserCount(String username);
}
